@echo off
REM 2doswin.bat
REM Written by Colin Snover for VOGONS
REM http://vogons.zetafleet.com

if "%1"=="" goto needdrive

if EXIST %1:\WINNT goto notfornt

if not EXIST .\AUTOEXEC.WBK @copy /Y %1:\AUTOEXEC.BAT .\AUTOEXEC.WBK
if not EXIST .\CONFIG.WBK @copy /Y %1:\CONFIG.SYS .\CONFIG.WBK

:start
cls
echo Where Do You Want To Go Today?(tm)
echo      1. Windows
echo      2. DOS
echo      3. Nowhere
echo.
echo Any incorrect selections in any menu will result in PROGRAM REPEATS.
echo Pressing the ESCAPE key at any prompt will return you to the last menu.
echo.
echo WARNING! This file has not been tested. Use at your own risk. It should
echo work, but I will not be held responsible for any data loss.
echo.
echo If this file works for you, please let me know by posting on VOGONS.
codescan
if ERRORLEVEL 4 goto tonowhere
if ERRORLEVEL 3 goto todos
if ERRORLEVEL 2 goto towindows
if ERRORLEVEL 1 goto start
goto oops
goto end

:oops
echo.
echo That was not a valid entry.
echo.
echo PROGRAM REPEATS
pause
goto start
goto end

:towindows
echo.
echo Did you modify your DOS autoexec.bat or config.sys files?
echo      1. Yes          
echo      2. No
codescan
if ERRORLEVEL 3 goto s1nomod
if ERRORLEVEL 2 goto s1mod
if ERRORLEVEL 1 goto start
goto oops
goto end

:s1nomod
echo.
echo Copying Windows startup files...
copy /Y .\AUTOEXEC.WBK %1:\AUTOEXEC.BAT
copy /Y .\CONFIG.WBK %1:\CONFIG.SYS
goto done
goto end

:s1mod
echo.
echo Would you like to save your modified files?
echo      1. Yes
echo      2. No
codescan
if ERRORLEVEL 3 goto s1nomod
if ERRORLEVEL 2 goto s1modsav
if ERRORLEVEL 1 goto towindows
goto oops
goto end

:s1modsav
echo.
echo Saving modified DOS startup files as AUTOEXEC.DBK and CONFIG.DBK...
copy /Y %1:\AUTOEXEC.BAT .\AUTOEXEC.DBK
copy /Y %1:\CONFIG.SYS .\CONFIG.DBK
goto s1nomod
goto end

:todos
REM todos
echo.
echo Backup your current Windows startup files?
echo      1. Yes
echo      2. Yes
echo      3. Oh, God, Yes!
codescan
if ERRORLEVEL 4 goto s2bksex
if ERRORLEVEL 3 goto s2bk
if ERRORLEVEL 2 goto s2bk
if ERRORLEVEL 1 goto start
goto oops
goto end

:s2bksex
echo.
echo My God, man, you don't have to get all sexual about it.
echo Sheesh.
goto s2bk
goto end

:s2bk
echo.
echo Saving Windows startup files as AUTOEXEC.WBK and CONFIG.WBK...
@copy /Y %1:\autoexec.bat .\autoexec.wbk
@copy /Y %1:\config.sys .\config.wbk
if EXIST .\autoexec.dbk goto s2rep
echo.
echo Copying DOS startup files...
@copy /Y .\autoexec.dos %1:\autoexec.bat
@copy /Y .\config.dos %1:\config.sys
goto done
goto end

:s2rep
echo.
echo Use your modified DOS startup files or the originals?
echo      1. Modified
echo      2. Original
codescan
if ERRORLEVEL 3 goto s2cpmod
if ERRORLEVEL 2 goto s2cporg
if ERRORLEVEL 1 goto todos
goto oops
goto end

:s2cpmod
echo.
echo Copying modified DOS startup files...
@copy /Y .\autoexec.dbk %1:\autoexec.bat
@copy /Y .\config.dbk %1:\config.sys
goto dosdone
goto end

:s2cporg
echo.
echo Copying original DOS startup files...
@copy /Y .\autoexec.dos %1:\autoexec.bat
@copy /Y .\config.dos %1:\config.sys
goto dosdone
goto end

:tonowhere
echo.
echo Why'd you call me if you didn't want to go anywhere? *sigh*
echo.
echo PROGRAM TERMINATES
pause
@echo on
cls
goto end

:done
echo.
echo Finished!
echo.
echo PROGRAM TERMINATES
pause
goto end

:dosdone
cls
echo When you next restart your computer, you'll need to do LINE-BY-LINE
echo CONFIRMATION (F8 or hold CTRL) to stop Windows from loading extraneous
echo things that are beyond my ability to prevent.
echo.
echo Quite simply, DO NOT ALLOW ANYTHING after the LINE that specifically
echo says "--- STOP ACCEPTING COMMANDS AFTER THIS LINE ---".
echo.
echo Also, if you are using the default DOS entries, you MUST go through
echo the AUTOEXEC.BAT file to change sound and mouse drivers to those for
echo your sound card. (Those set in the default AUTOEXEC.BAT file are for
echo the Sound Blaster Live!.)
echo.
echo You should use the MOUSE.EXE included with this batch file, unless
echo your mouse does not support Microsoft drivers, in which case you'll
echo need to find drivers from your mouse manufacturer.
echo.
echo You may need to use OAKCDROM.SYS, a small universal CD-ROM driver.
echo (I'm not sure why it's not in the default AUTOEXEC.BAT file, but
echo it's not.) It has been included.
pause
cls
echo.
echo Finished!
echo.
echo PROGRAM TERMINATES
pause
goto end

:notfornt
cls
echo This batch was not designed for use under the NT operating system.
echo.
echo PROGRAM TERMINATES
pause
goto end

:needdrive
cls
echo This batch file needs to be called as follows:
echo.
echo 2DOSWIN.BAT [drive letter]
echo.
echo eg. 2DOSWIN.BAT C (for drive C)
echo eg. 2DOSWIN.BAT D (for drive D)
echo etc...
echo.
echo PROGRAM TERMINATES
pause
goto end

:end
@echo on
cls
